"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.tesseractSupportedLanguages = exports.iOSLangMapping = exports.PageSegMode = exports.OcrEngineMode = exports.OCREvent = exports.DataInputType = void 0;
let PageSegMode = /*#__PURE__*/function (PageSegMode) {
  PageSegMode[PageSegMode["PSM_OSD_ONLY"] = 0] = "PSM_OSD_ONLY";
  PageSegMode[PageSegMode["PSM_AUTO_OSD"] = 1] = "PSM_AUTO_OSD";
  PageSegMode[PageSegMode["PSM_AUTO_ONLY"] = 2] = "PSM_AUTO_ONLY";
  PageSegMode[PageSegMode["PSM_AUTO"] = 3] = "PSM_AUTO";
  PageSegMode[PageSegMode["PSM_SINGLE_COLUMN"] = 4] = "PSM_SINGLE_COLUMN";
  PageSegMode[PageSegMode["PSM_SINGLE_BLOCK_VERT_TEXT"] = 5] = "PSM_SINGLE_BLOCK_VERT_TEXT";
  PageSegMode[PageSegMode["PSM_SINGLE_BLOCK"] = 6] = "PSM_SINGLE_BLOCK";
  PageSegMode[PageSegMode["PSM_SINGLE_LINE"] = 7] = "PSM_SINGLE_LINE";
  PageSegMode[PageSegMode["PSM_SINGLE_WORD"] = 8] = "PSM_SINGLE_WORD";
  PageSegMode[PageSegMode["PSM_CIRCLE_WORD"] = 9] = "PSM_CIRCLE_WORD";
  PageSegMode[PageSegMode["PSM_SINGLE_CHAR"] = 10] = "PSM_SINGLE_CHAR";
  PageSegMode[PageSegMode["PSM_SPARSE_TEXT"] = 11] = "PSM_SPARSE_TEXT";
  PageSegMode[PageSegMode["PSM_SPARSE_TEXT_OSD"] = 12] = "PSM_SPARSE_TEXT_OSD";
  PageSegMode[PageSegMode["PSM_RAW_LINE"] = 13] = "PSM_RAW_LINE";
  return PageSegMode;
}({});
exports.PageSegMode = PageSegMode;
let OcrEngineMode = /*#__PURE__*/function (OcrEngineMode) {
  OcrEngineMode[OcrEngineMode["FAST"] = 0] = "FAST";
  OcrEngineMode[OcrEngineMode["ACCURATE"] = 1] = "ACCURATE";
  OcrEngineMode[OcrEngineMode["FAST_ACCURATE"] = 2] = "FAST_ACCURATE";
  return OcrEngineMode;
}({});
exports.OcrEngineMode = OcrEngineMode;
let DataInputType = /*#__PURE__*/function (DataInputType) {
  DataInputType["file"] = "FILE";
  DataInputType["base64"] = "BASE64";
  return DataInputType;
}({});
exports.DataInputType = DataInputType;
let OCREvent = /*#__PURE__*/function (OCREvent) {
  OCREvent["FINISHED"] = "finished";
  OCREvent["ERROR"] = "error";
  OCREvent["PROGRESS"] = "progress";
  return OCREvent;
}({});
exports.OCREvent = OCREvent;
const iOSLangMapping = {
  eng: 'en-US',
  fra: 'fr-FR',
  ita: 'it-IT',
  deu: 'de-DE',
  spa: 'es-ES',
  por: 'pt-BR',
  chi_sim: 'zh-Hans',
  chi_tra: 'zh-Hant'
};
exports.iOSLangMapping = iOSLangMapping;
const tesseractSupportedLanguages = ['afr',
// Afrikaans
'amh',
// Amharic
'ara',
// Arabic
'asm',
// Assamese
'aze',
// Azerbaijani
'aze_cyrl',
// Azerbaijani (Cyrillic script)
'bel',
// Belarusian
'ben',
// Bengali
'bod',
// Tibetan
'bos',
// Bosnian
'bre',
// Breton
'bul',
// Bulgarian
'cat',
// Catalan
'ceb',
// Cebuano
'ces',
// Czech
'chi_sim',
// Simplified Chinese
'chi_tra',
// Traditional Chinese
'chr',
// Cherokee
'cym',
// Welsh
'dan',
// Danish
'deu',
// German
'dzo',
// Dzongkha
'ell',
// Greek
'eng',
// English
'enm',
// Middle English
'epo',
// Esperanto
'est',
// Estonian
'eus',
// Basque
'fao',
// Faroese
'fas',
// Persian
'fin',
// Finnish
'fra',
// French
'frk',
// Frankish
'frm',
// Middle French
'fry',
// Frisian
'gla',
// Scottish Gaelic
'gle',
// Irish
'glg',
// Galician
'grc',
// Ancient Greek
'guj',
// Gujarati
'hat',
// Haitian Creole
'heb',
// Hebrew
'hin',
// Hindi
'hrv',
// Croatian
'hun',
// Hungarian
'iku',
// Inuktitut
'ind',
// Indonesian
'isl',
// Icelandic
'ita',
// Italian
'ita_old',
// Old Italian
'jav',
// Javanese
'jpn',
// Japanese
'kan',
// Kannada
'kat',
// Georgian
'kat_old',
// Old Georgian
'kaz',
// Kazakh
'khm',
// Khmer
'kir',
// Kyrgyz
'kmr',
// Kurmanji (Kurdish)
'kor',
// Korean
'kor_vert',
// Korean vertical
'kur',
// Sorani (Kurdish)
'lao',
// Lao
'lat',
// Latin
'lav',
// Latvian
'lit',
// Lithuanian
'mal',
// Malayalam
'mar',
// Marathi
'mkd',
// Macedonian
'mlt',
// Maltese
'msa',
// Malay
'mya',
// Myanmar (Burmese)
'nep',
// Nepali
'nld',
// Dutch
'nor',
// Norwegian
'oci',
// Occitan
'ori',
// Odia (Oriya)
'osd',
// Orientation and script detection
'pan',
// Punjabi
'pol',
// Polish
'por',
// Portuguese
'pus',
// Pashto
'que',
// Quechua
'ron',
// Romanian
'rus',
// Russian
'san',
// Sanskrit
'sin',
// Sinhala
'slk',
// Slovak
'slv',
// Slovenian
'spa',
// Spanish
'spa_old',
// Old Spanish
'sqi',
// Albanian
'srp',
// Serbian (Latin script)
'srp_cyrl',
// Serbian (Cyrillic script)
'sun',
// Sundanese
'swa',
// Swahili
'swe',
// Swedish
'syr',
// Syriac
'tam',
// Tamil
'tel',
// Telugu
'tgk',
// Tajik
'tgl',
// Tagalog
'tha',
// Thai
'tir',
// Tigrinya
'tur',
// Turkish
'uig',
// Uyghur
'ukr',
// Ukrainian
'urd',
// Urdu
'uzb',
// Uzbek
'uzb_cyrl',
// Uzbek (Cyrillic script)
'vie',
// Vietnamese
'yid',
// Yiddish
'yor' // Yoruba
];
exports.tesseractSupportedLanguages = tesseractSupportedLanguages;
//# sourceMappingURL=types.js.map