export declare enum PageSegMode {
    PSM_OSD_ONLY = 0,
    PSM_AUTO_OSD = 1,
    PSM_AUTO_ONLY = 2,
    PSM_AUTO = 3,
    PSM_SINGLE_COLUMN = 4,
    PSM_SINGLE_BLOCK_VERT_TEXT = 5,
    PSM_SINGLE_BLOCK = 6,
    PSM_SINGLE_LINE = 7,
    PSM_SINGLE_WORD = 8,
    PSM_CIRCLE_WORD = 9,
    PSM_SINGLE_CHAR = 10,
    PSM_SPARSE_TEXT = 11,
    PSM_SPARSE_TEXT_OSD = 12,
    PSM_RAW_LINE = 13
}
export declare enum OcrEngineMode {
    FAST = 0,
    ACCURATE = 1,
    FAST_ACCURATE = 2
}
export declare enum DataInputType {
    file = "FILE",
    base64 = "BASE64"
}
export declare enum OCREvent {
    FINISHED = "finished",
    ERROR = "error",
    PROGRESS = "progress"
}
interface OCREventResponse {
    text: string;
    percent: number;
    error: string;
}
export interface OCROptions {
    pageSegMode: PageSegMode;
    ocrEngineMode: OcrEngineMode;
    lang: string[];
}
export type OCREventListenerCallback = (event: OCREvent, data: OCREventResponse) => void;
export declare const iOSLangMapping: Record<string, string>;
export declare const tesseractSupportedLanguages: string[];
export {};
//# sourceMappingURL=types.d.ts.map